# action_system.h File Reference

Template Header. More...

`#include "action.h"`
`#include <sigc++/signal.h>`
`#include <sigc++/object.h>`
`#include <ETL/handle>`
`#include <synfig/canvas.h>`
`#include "uimanager.h"`

Go to the source code of this file.

## Namespaces

namespace | synfigapp
namespace | synfigapp::Action

## Classes

class | synfigapp::Action::PassiveGrouper
| Passive action grouping class. More...
class | synfigapp::Action::System

## Typedefs

typedef std::list< etl::handle < Action::Undoable > > | synfigapp::Action::Stack

## Detailed Description

Template Header.

$Id$